use library::config;

mod controller;
mod router;

pub async fn serve() {
    let addr = format!("0.0.0.0:{}", config!().server.port);

    let listener = tokio::net::TcpListener::bind(&addr).await.unwrap();

    tracing::info!("server listening {}", addr);

    axum::serve(listener, router::init()).await.unwrap();
}
